## org.eclipse.papyrus.emf.facet.efacet.sdk.ui.internal.query
Interface IQueryWidgetCompositeFactoryFactory

All Known Implementing Classes:
  QueryWidgetCompositeFactoryImpl

    public interface IQueryWidgetCompositeFactoryFactory

This interface provide to get all the plug-ins extending the extension point and the lazy loading of this plug-ins.

See Also:
  `QueryWidgetCompositeFactoryImpl`

Field Summary
`static IQueryWidgetCompositeFactoryFactory` `INSTANCE` Returns an instance of `QueryWidgetCompositeFactoryImpl`.

Method Summary
`IQueryDialogFactoryStrategy` `getQueryDialogFactoryStrategy(java.lang.String managedTypeName)` Return a registered `AbstractQueryDialogFactory` corresponding to the given type name.
`java.util.List<java.lang.String>` `getRegisteredQueryWidgetsComposite()` Returns every registered `AbstractQueryDialogFactory` name.

Field Detail

### INSTANCE

    static final IQueryWidgetCompositeFactoryFactory INSTANCE

  Returns an instance of `QueryWidgetCompositeFactoryImpl`.

Method Detail

### getQueryDialogFactoryStrategy

    IQueryDialogFactoryStrategy getQueryDialogFactoryStrategy(java.lang.String managedTypeName)

  Return a registered `AbstractQueryDialogFactory` corresponding to the given type name.

  Parameters:
    `managedTypeName` - the managedQueryTypeName extension attribute.
  Returns:
    an instance of the class which implements `AbstractQueryDialogFactory`.

### getRegisteredQueryWidgetsComposite

    java.util.List<java.lang.String> getRegisteredQueryWidgetsComposite()

  Returns every registered `AbstractQueryDialogFactory` name.

  Returns:
    a list containing the managedQueryTypeName.